diff -urN old/CORE/HDD/src/wlan_hdd_cfg80211.c new/CORE/HDD/src/wlan_hdd_cfg80211.c
--- old/CORE/HDD/src/wlan_hdd_cfg80211.c	2017-05-10 10:10:50.355477920 +0800
+++ new/CORE/HDD/src/wlan_hdd_cfg80211.c	2017-05-10 10:10:57.395478229 +0800
@@ -588,7 +588,7 @@
       .max_interfaces = (SAP_MAX_OBSS_STA_CNT +
                          VOS_MAX_NO_OF_SAP_MODE),
       .n_limits = ARRAY_SIZE(wlan_hdd_ap_iface_limit),
-#if (LINUX_VERSION_CODE >= KERNEL_VERSION(3,18,0)) || defined(BEACON_INTV_BACKPORTS)
+#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4,10,0)) || defined(BEACON_INTV_BACKPORTS)
       .beacon_int_min_gcd = 1,
 #endif
    },
@@ -607,7 +607,7 @@
                          VOS_MAX_NO_OF_SAP_MODE),
       .n_limits = ARRAY_SIZE(wlan_hdd_sta_ap_iface_limit),
       .beacon_int_infra_match = true,
-#if (LINUX_VERSION_CODE >= KERNEL_VERSION(3,18,0)) || defined(BEACON_INTV_BACKPORTS)
+#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4,10,0)) || defined(BEACON_INTV_BACKPORTS)
       .beacon_int_min_gcd = 1,
 #endif
    },
@@ -16828,7 +16828,7 @@
 }
 #endif
 
-#if (LINUX_VERSION_CODE >= KERNEL_VERSION(3,18,0)) || defined(BEACON_RATE_BACKPORTS)
+#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4,9,0)) || defined(BEACON_RATE_BACKPORTS)
 /**
  * hdd_get_data_rate_from_rate_mask() - convert mask to rate
  * @wiphy: Pointer to wiphy
diff -urN old/CORE/MAC/src/pe/lim/limProcessSmeReqMessages.c new/CORE/MAC/src/pe/lim/limProcessSmeReqMessages.c
--- old/CORE/MAC/src/pe/lim/limProcessSmeReqMessages.c	2017-05-10 10:10:49.795477896 +0800
+++ new/CORE/MAC/src/pe/lim/limProcessSmeReqMessages.c	2017-05-10 10:10:56.935478209 +0800
@@ -5072,7 +5072,7 @@
             psessionEntry->ssidHidden = pUpdateParams->ssidHidden;
     } else {
             PELOG1(limLog(pMac, LOG1,
-                   FL("Same config already present!")));
+                   FL("Same config already present!")););
             return;
     }
 
diff -urN old/CORE/MAC/src/pe/lim/limSession.c new/CORE/MAC/src/pe/lim/limSession.c
--- old/CORE/MAC/src/pe/lim/limSession.c	2017-05-10 10:10:49.811477896 +0800
+++ new/CORE/MAC/src/pe/lim/limSession.c	2017-05-10 10:10:56.955478210 +0800
@@ -182,7 +182,9 @@
     }
 
     if (pe_session_entry->htOperMode != old_op_mode)
-        bcn_prms_changed = true;
+    {
+        //bcn_prms_changed = true;
+    }
 
     if ((current_protection_state != pe_session_entry->old_protection_state) &&
         (VOS_FALSE == mac_ctx->sap.SapDfsInfo.is_dfs_cac_timer_running)) {
@@ -217,8 +219,8 @@
     }
 
     if (bcn_prms_changed) {
-        schSetFixedBeaconFields(mac_ctx, pe_session_entry);
-        limSendBeaconParams(mac_ctx, &beacon_params, pe_session_entry);
+        //schSetFixedBeaconFields(mac_ctx, pe_session_entry);
+        //limSendBeaconParams(mac_ctx, &beacon_params, pe_session_entry);
     }
 
     pe_session_entry->old_protection_state = current_protection_state;
diff -urN old/CORE/MAC/src/pe/sch/schBeaconProcess.c new/CORE/MAC/src/pe/sch/schBeaconProcess.c
--- old/CORE/MAC/src/pe/sch/schBeaconProcess.c	2017-05-10 10:10:49.719477892 +0800
+++ new/CORE/MAC/src/pe/sch/schBeaconProcess.c	2017-05-10 10:10:56.859478205 +0800
@@ -811,14 +811,14 @@
                 && beaconParams.paramChangeBitmap)
             {
                 //Update the beacons and apply the new settings to HAL
-                schSetFixedBeaconFields(pMac, pAPSession);
+                //schSetFixedBeaconFields(pMac, pAPSession);
                 PELOG1(schLog(pMac, LOG1,
                         FL("Beacon for PE session[%d] got changed."),
                         pAPSession->peSessionId);)
                 PELOG1(schLog(pMac, LOG1,
                         FL("sending beacon param change bitmap: 0x%x"),
                         beaconParams.paramChangeBitmap);)
-                limSendBeaconParams(pMac, &beaconParams, pAPSession);
+                //limSendBeaconParams(pMac, &beaconParams, pAPSession);
             }
         }
     }
